| Home | Libraries | People | FAQ | More

##### insert(rtree<...> &, Iterator, Iterator)

Insert a range of values to the index.

###### Description

It calls `rtree::insert(Iterator, Iterator)`.

###### Synopsis

    template<typename Value,
             typename Parameters,
             typename IndexableGetter,
             typename EqualTo,
             typename Allocator,
             typename Iterator>
    void insert(rtree< Value, Parameters, IndexableGetter, EqualTo, Allocator > & tree,
                Iterator first,
                Iterator last)

###### Parameter(s)

Type | Name | Description
--- | --- | ---
`rtree< Value, Parameters, IndexableGetter, EqualTo, Allocator > &` | `tree` | The spatial index.
`Iterator` | `first` | The beginning of the range of values.
`Iterator` | `last` | The end of the range of values.